Skip to main content
DELETE
Remove a global alert

Example Request

Example Response

You’ll receive global_alert.deleted with patient_mrn and emr_alert_id, or global_alert.delete_failed. See Operation Events.

Authorizations

client_id
string
header
required
client_secret
string
header
required
access_token
string
header
required

Path Parameters

patient_id
string
required

Cobalt patient ID (id from the patient endpoints) or the patient MRN.

Example:

"12345"

emr_alert_id
string
required

EHR id of the alert on the chart: alerts.global_alerts[].emr_alert_id from POST /v1/patients/fetch.

Example:

"141004"

Body

application/json
callback_urls
string[]

URLs to receive the completion webhook, in addition to the account webhook.

Example:
expires_at
string<date-time> | null

Optional ISO 8601 timestamp with an explicit timezone offset, in the future when submitted. Cobalt starts no new operation attempt after this deadline and reports reasons[].code EXPIRED. An attempt already in progress, including write reconciliation, may finish after it.

Example:

"2027-06-15T14:30:00Z"

Response

Global alert change queued for processing

success
boolean
required
Example:

true

message
string
required
Example:

"Global alert processing. A webhook event will be sent upon completion."

job_id
integer
required
Example:

12345